> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets On Policy



## OpenAPI

````yaml /openapi.json get /view-specific/{policyId}/assets
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{policyId}/assets:
    get:
      tags:
        - view-specific
      summary: List Assets On Policy
      operationId: ViewSpecificController_listPolicyAssets
      parameters:
        - name: policyId
          required: true
          in: path
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
        - name: branchId
          required: false
          in: query
          description: 'Optional: the branchId'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPolicyAssetsOutput'
        '403':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ForbiddenErrorDto'
              examples:
                FORBIDDEN:
                  $ref: '#/components/schemas/ForbiddenErrorDto'
          description: ''
        '404':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PolicyNotFoundErrorDto'
              examples:
                POLICY_NOT_FOUND:
                  $ref: '#/components/schemas/PolicyNotFoundErrorDto'
          description: ''
components:
  schemas:
    ListPolicyAssetsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/AssetDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    ForbiddenErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - FORBIDDEN
        message:
          type: string
          example: Forbidden
        details:
          $ref: '#/components/schemas/ForbiddenDetailsDto'
      required:
        - code
        - message
        - details
    PolicyNotFoundErrorDto:
      type: object
      properties:
        code:
          type: string
          enum:
            - POLICY_NOT_FOUND
        message:
          type: string
          example: Policy {policyId} ({branchId}) not found
        details:
          $ref: '#/components/schemas/PolicyNotFoundDetailsDto'
      required:
        - code
        - message
        - details
    AssetDto:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        type:
          type: string
          description: Entity type
        id:
          type: string
          description: assetId
        lastModifiedAt:
          type: string
          description: Last modified date of the asset
        createdAt:
          type: string
          description: Creation date of the asset
        status:
          type: string
          description: Status of the asset
          enum:
            - ASSET_CREATED
            - ASSET_REMOVED
            - ASSET_QUOTED
            - ASSET_CONFIRMED
            - ASSET_STARTED
            - ASSET_STOPPED
            - ASSET_CANCELLED
        createdOnBranch:
          type: boolean
          description: Whether the asset was created on a branch
        editedOnBranch:
          type: boolean
          description: Whether the asset was edited on a branch
        startedAt:
          type: string
          description: Date the asset starts
        stoppedAt:
          type: string
          description: Date the asset stops
        cancelledAt:
          type: string
          description: Date the asset was cancelled
        externalAssetId:
          type: string
          description: externalAssetId
        quote:
          description: asset quote
          allOf:
            - $ref: '#/components/schemas/AssetQuoteDto'
        proratedQuote:
          description: Prorated asset quote based on the invoicing frequency of the policy
          allOf:
            - $ref: '#/components/schemas/AssetQuoteDto'
        policyId:
          type: string
          description: policyId of asset owner
      required:
        - type
        - id
        - lastModifiedAt
        - createdAt
        - status
        - policyId
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    ForbiddenDetailsDto:
      type: object
      properties:
        message:
          type: string
        documentKey:
          type: string
        userId:
          type: string
        ownerId:
          type: string
      required:
        - message
        - documentKey
        - userId
        - ownerId
    PolicyNotFoundDetailsDto:
      type: object
      properties:
        policyId:
          type: string
        branchId:
          type: string
        whenAt:
          type: string
        simulatedAt:
          type: string
      required:
        - policyId
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    AssetQuoteDto:
      type: object
      properties:
        id:
          type: string
          description: Quote id
        entityId:
          type: string
          description: Entity the quote is for
        provider:
          $ref: '#/components/schemas/QuoteProviderDto'
        basePrice:
          type: integer
        rates:
          type: array
          items:
            $ref: '#/components/schemas/RateDto'
        totalPremium:
          $ref: '#/components/schemas/AmountDto'
        components:
          description: components of the quote
          type: array
          items:
            $ref: '#/components/schemas/QuoteComponentDto'
        options:
          description: Quote options chosen by client
          allOf:
            - $ref: '#/components/schemas/AssetQuoteOptionsDto'
      required:
        - id
        - entityId
        - provider
        - rates
        - totalPremium
        - components
        - options
    QuoteProviderDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: string
      required:
        - id
        - version
    RateDto:
      type: object
      properties:
        id:
          type: string
        rate:
          type: integer
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/RateInputDto'
      required:
        - id
        - rate
        - inputs
    AmountDto:
      type: object
      properties:
        amountPreFeesAndTaxes:
          type: integer
        fees:
          type: array
          items:
            $ref: '#/components/schemas/FeeDto'
        totalFees:
          type: integer
        amountWithFeesPreTaxes:
          type: integer
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/TaxDto'
        totalTaxes:
          type: integer
        amountWithFeesAndTaxes:
          type: integer
      required:
        - amountPreFeesAndTaxes
        - fees
        - totalFees
        - amountWithFeesPreTaxes
        - taxes
        - totalTaxes
        - amountWithFeesAndTaxes
    QuoteComponentDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PREMIUM
            - PERIL
            - FEE
            - TAX
            - SPECIAL
        premium:
          $ref: '#/components/schemas/AmountDto'
        chargeType:
          type: string
          description: Charge type of component
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
      required:
        - id
        - type
        - premium
        - chargeType
    AssetQuoteOptionsDto:
      type: object
      properties:
        tier:
          type: string
        excess:
          type: string
        perils:
          type: array
          items:
            $ref: '#/components/schemas/ConfigQuoteChosenWarrantyDto'
        assetId:
          type: string
        brokerageFees:
          type: array
          items:
            $ref: '#/components/schemas/BrokerageFeeOnPolicy'
      required:
        - tier
        - excess
        - assetId
    RateInputDto:
      type: object
      properties:
        id:
          type: string
          description: id
        value:
          description: value
          oneOf:
            - type: string
            - type: number
      required:
        - id
        - value
    FeeDto:
      type: object
      properties:
        id:
          type: string
        brokerageFirmId:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    TaxDto:
      type: object
      properties:
        id:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    ConfigQuoteChosenWarrantyDto:
      type: object
      properties:
        id:
          type: string
        option:
          type: string
        available:
          type: boolean
        unavailabilityMessage:
          type: string
      required:
        - id
    BrokerageFeeOnPolicy:
      type: object
      properties:
        brokerageFirmId:
          type: string
          description: Brokerage firm id
          maximum: 100
          minimum: 0
        fee:
          type: number
          description: Fee
          maximum: 100
          minimum: 0
      required:
        - brokerageFirmId
        - fee

````